Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol.trie
Class TrieSymbolTable

    java.lang.Object
      org.maltparser.core.symbol.trie.TrieSymbolTable

All Implemented Interfaces:
  SymbolTable, Table

    public class TrieSymbolTable

extends Object
implements SymbolTable

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`TrieSymbolTable(String name, Trie trie)`
`TrieSymbolTable(String name, Trie trie, int columnCategory, String nullValueStrategy)`
`TrieSymbolTable(String name, Trie trie, int columnCategory, String nullValueStrategy, String rootLabel)`

Method Summary
`int` | `addSymbol(String symbol)`
`int` | `addSymbol(StringBuilder symbol)`
`void` | `copy(SymbolTable fromTable)`
`boolean` | `equals(Object obj)`
`Set<Integer>` | `getCodes()`
`SortedMap<Integer,TrieNode>` | `getCodeTable()`
`int` | `getColumnCategory()`
`boolean` | `getKnown(int code)`
`boolean` | `getKnown(String symbol)`
`String` | `getName()`
`int` | `getNullValueCode(NullValues.NullValueId nullValueIdentifier)`
`String` | `getNullValueStrategy()`
`String` | `getNullValueSymbol(NullValues.NullValueId nullValueIdentifier)`
`String` | `getSymbolCodeToString(int code)`
`int` | `getSymbolStringToCode(String symbol)`
`protected Trie` | `getTrie()`
`int` | `getValueCounter()`
`int` | `hashCode()`
`protected int` | `increaseValueCounter()`
`boolean` | `isNullValue(int code)`
`boolean` | `isNullValue(String symbol)`
`void` | `load(BufferedReader in)`
`void` | `makeKnown(int code)`
`void` | `printSymbolTable(org.apache.log4j.Logger logger)`
`void` | `save(BufferedWriter out)`
`void` | `saveHeader(BufferedWriter out)`
`int` | `size()`
`String` | `toString()`
`protected void` | `updateValueCounter(int code)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrieSymbolTable

    public TrieSymbolTable(String name,
                           Trie trie,
                           int columnCategory,
                           String nullValueStrategy)
                    throws MaltChainedException

Throws:
  `MaltChainedException`

### TrieSymbolTable

    public TrieSymbolTable(String name,
                           Trie trie,
                           int columnCategory,
                           String nullValueStrategy,
                           String rootLabel)
                    throws MaltChainedException

Throws:
  `MaltChainedException`

### TrieSymbolTable

    public TrieSymbolTable(String name,
                           Trie trie)

Method Detail

### addSymbol

    public int addSymbol(String symbol)
                  throws MaltChainedException

  Specified by:
    `addSymbol` in interface `Table`
  Throws:
    `MaltChainedException`

### addSymbol

    public int addSymbol(StringBuilder symbol)
                  throws MaltChainedException

  Specified by:
    `addSymbol` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### getSymbolCodeToString

    public String getSymbolCodeToString(int code)
                                 throws MaltChainedException

  Specified by:
    `getSymbolCodeToString` in interface `Table`
  Throws:
    `MaltChainedException`

### getSymbolStringToCode

    public int getSymbolStringToCode(String symbol)
                              throws MaltChainedException

  Specified by:
    `getSymbolStringToCode` in interface `Table`
  Throws:
    `MaltChainedException`

### getNullValueStrategy

    public String getNullValueStrategy()

### getColumnCategory

    public int getColumnCategory()

### getKnown

    public boolean getKnown(int code)

  Specified by:
    `getKnown` in interface `SymbolTable`

### getKnown

    public boolean getKnown(String symbol)

  Specified by:
    `getKnown` in interface `SymbolTable`

### makeKnown

    public void makeKnown(int code)

  Specified by:
    `makeKnown` in interface `SymbolTable`

### printSymbolTable

    public void printSymbolTable(org.apache.log4j.Logger logger)
                          throws MaltChainedException

  Specified by:
    `printSymbolTable` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### saveHeader

    public void saveHeader(BufferedWriter out)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### size

    public int size()

  Specified by:
    `size` in interface `Table`

### save

    public void save(BufferedWriter out)
              throws MaltChainedException

  Specified by:
    `save` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### load

    public void load(BufferedReader in)
              throws MaltChainedException

  Specified by:
    `load` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Table`

### getValueCounter

    public int getValueCounter()

  Specified by:
    `getValueCounter` in interface `SymbolTable`

### updateValueCounter

    protected void updateValueCounter(int code)

### increaseValueCounter

    protected int increaseValueCounter()

### getNullValueCode

    public int getNullValueCode(NullValues.NullValueId nullValueIdentifier)
                         throws MaltChainedException

  Specified by:
    `getNullValueCode` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### getNullValueSymbol

    public String getNullValueSymbol(NullValues.NullValueId nullValueIdentifier)
                              throws MaltChainedException

  Specified by:
    `getNullValueSymbol` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### isNullValue

    public boolean isNullValue(String symbol)
                        throws MaltChainedException

  Specified by:
    `isNullValue` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### isNullValue

    public boolean isNullValue(int code)
                        throws MaltChainedException

  Specified by:
    `isNullValue` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### copy

    public void copy(SymbolTable fromTable)
              throws MaltChainedException

  Specified by:
    `copy` in interface `SymbolTable`
  Throws:
    `MaltChainedException`

### getCodeTable

    public SortedMap<Integer,TrieNode> getCodeTable()

### getCodes

    public Set<Integer> getCodes()

  Specified by:
    `getCodes` in interface `SymbolTable`

### getTrie

    protected Trie getTrie()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.